# SnapshotProperties

## Properties

| Name                    | Type                                                                                            | Description                                                                                                 | Notes                   |
| ----------------------- | ----------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------- | ----------------------- |
| **cpuHotPlug**          | **Boolean**                                                                                     | Hot-plug capable CPU (no reboot required).                                                                  | \[optional]             |
| **cpuHotUnplug**        | **Boolean**                                                                                     | Hot-unplug capable CPU (no reboot required).                                                                | \[optional]             |
| **description**         | **String**                                                                                      | Human-readable description.                                                                                 | \[optional]             |
| **discScsiHotPlug**     | **Boolean**                                                                                     | Hot-plug capable SCSI drive (no reboot required).                                                           | \[optional]             |
| **discScsiHotUnplug**   | **Boolean**                                                                                     | Is capable of SCSI drive hot unplug (no reboot required). This works only for non-Windows virtual Machines. | \[optional]             |
| **discVirtioHotPlug**   | **Boolean**                                                                                     | Hot-plug capable Virt-IO drive (no reboot required).                                                        | \[optional]             |
| **discVirtioHotUnplug** | **Boolean**                                                                                     | Hot-unplug capable Virt-IO drive (no reboot required). Not supported with Windows VMs.                      | \[optional]             |
| **licenceType**         | [**LicenceTypeEnum**](#LicenceTypeEnum)                                                         | OS type of this snapshot                                                                                    | \[optional]             |
| **location**            | **String**                                                                                      | Location of that image/snapshot.                                                                            | \[optional] \[readonly] |
| **name**                | **String**                                                                                      | The name of the resource.                                                                                   | \[optional]             |
| **nicHotPlug**          | **Boolean**                                                                                     | Hot-plug capable NIC (no reboot required).                                                                  | \[optional]             |
| **nicHotUnplug**        | **Boolean**                                                                                     | Hot-unplug capable NIC (no reboot required).                                                                | \[optional]             |
| **ramHotPlug**          | **Boolean**                                                                                     | Hot-plug capable RAM (no reboot required).                                                                  | \[optional]             |
| **ramHotUnplug**        | **Boolean**                                                                                     | Hot-unplug capable RAM (no reboot required).                                                                | \[optional]             |
| **secAuthProtection**   | **Boolean**                                                                                     | Boolean value representing if the snapshot requires extra protection, such as two-step verification.        | \[optional]             |
| **size**                | [**BigDecimal**](https://github.com/ionos-cloud/sdk-java/blob/master/docs/models/BigDecimal.md) | The size of the image in GB.                                                                                | \[optional] \[readonly] |

## Enum: LicenceTypeEnum

| Name        | Value         |
| ----------- | ------------- |
| UNKNOWN     | "UNKNOWN"     |
| WINDOWS     | "WINDOWS"     |
| WINDOWS2016 | "WINDOWS2016" |
| WINDOWS2022 | "WINDOWS2022" |
| RHEL        | "RHEL"        |
| LINUX       | "LINUX"       |
| OTHER       | "OTHER"       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/java-sdk/models/snapshotproperties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
